# HOST REQUIRED VARS #
agent_hostname: "{{ ansible_hostname }}"
zabbix_server_fqdn: reporting.alphatech-computing.com # this must be the proxy ip if used - DO NOT SPECIFY https
zabbix_api_login_user: atcadmin
zabbix_api_login_pass: ""
zabbix_host_groups:
  - XXX        #company code
  - Linux servers
  - Virtual machines
#  - Zabbix Proxies
  - Hypervisors
  - Baremetal Servers
#  - PBX servers
#  - SMB servers

zabbix_agent_link_templates:
  - Linux by Zabbix agent
#  - SMART by Zabbix agent 2


# PROXY REQUIRED VARS #
mysql_root_password: ""


#DEFAULTS
#AGENT
zabbix_agent_hostname: "{{ agent_hostname }}"
zabbix_agent_visible_hostname: "{{ agent_hostname }}"
zabbix_agent2_hostname: "{{ agent_hostname }}"
zabbix_agent2: True
zabbix_fqdn: "{{ zabbix_server_fqdn }}"
zabbix_api_server_url: https://reporting.alphatech-computing.com
zabbix_agent(2)_server: "{{ zabbix_fqdn }}"
zabbix_agent(2)_serveractive: "{{ zabbix_fqdn }}"
zabbix_api_create_hosts: True
zabbix_api_create_hostgroup: True
zabbix_agent_server: "{{ zabbix_fqdn }}"
zabbix_agent_serveractive: "{{ zabbix_fqdn }}"
zabbix_api_use: True # use zabbix_api_create_hosts and/or zabbix_api_create_hostgroup from 0.8.0
zabbix_agent_host_state: present
zabbix_agent_allowroot: True

#DB
db_name: zabbix_proxy
mysql_packages:
  - mariadb-client
  - mariadb-server
  - python3-mysqldb
mysql_databases:
  - name: "{{ db_name }}"

#PROXY
zabbix_proxy_dbuser: root
zabbix_proxy_dbpassword: "{{ mysql_root_password }}"
zabbix_proxy_server: "{{ zabbix_server_fqdn }}"
zabbix_database_creation: False
zabbix_proxy_hostname: "{{ agent_hostname }}"
zabbix_proxy_dbname: "{{ db_name }}"
zabbix_proxy_database: mysql
zabbix_proxy_database_long: mysql
zabbix_proxy_dbport: 3306
zabbix_proxy_dbhost: localhost
zabbix_proxy_dbhost_run_install: false
zabbix_proxy_privileged_host: '%'
zabbix_proxy_mysql_login_host: "{{ zabbix_proxy_dbhost }}"
zabbix_proxy_mysql_login_user: "{{ zabbix_proxy_dbuser }}"
zabbix_proxy_mysql_login_password: "{{ mysql_root_password }}"
zabbix_proxy_mysql_login_port: 3306
zabbix_api_create_proxy: True
zabbix_proxy_name: "{{ agent_hostname }}"